I have 3.9 bootloader.